Subject: Re: next-20150806 build: 2 failures 52 warnings (next-20150806)

From: Stephen Rothwell <[email-masked]>
Date: Fri, 7 Aug 2015 07:39:54 +1000

Hi Mark,

On Thu, 6 Aug 2015 18:53:22 +0100 Mark Brown <[email-masked]> wrote:
>
> On Thu, Aug 06, 2015 at 12:00:47PM +0100, Build bot for Mark Brown wrote:
> 
> Today's linux-next fails to build an ARM allmodconfig due to:
> 
> > ../drivers/pci/host/pcie-xilinx.c:235:3: error: implicit declaration of function 'msi_desc_to_pci_sys_data' [-Werror=implicit-function-declaration]
> 
> msi_desc_to_pci_sys_data doesn't appear to exist anywhere else in
> current -next, the usage was introduced by e39758e0ea769e632e (PCI: Use
> helper functions to access fields in struct msi_desc) at which time it
> looks like it did exist but I can't immediately see where it was removed.

Actually, it is a typo ... all other uses are spelt msi_desc_to_pci_sysdata.

-- 
Cheers,
Stephen Rothwell                    [email-masked]